# Get a list of orders for services purchased by users

# Dxplaination of Interface Call Request

Recommended Use of New Interface " Get User Service Validity "

http请求方式:POST
https://api.weixin.qq.com/product/service/get_order_list?access_token=xxxxxxxxx

# Example of request parameters

{
    "start_create_time": "2020-03-25 12:05:25",
    "end_create_time": "2020-04-25 12:05:25",
    "page": 1,
    "page_size": 10
}

# Examples of back-up

{
    "errcode": 0,
    "errmsg":"ok",
    "service_order_list":
    [
        {
            "service_order_id": 12345,
            "service_id":   12,
            "service_name": "一键搬家",
            "create_time":  "2020-08-05 00:00:00",
            "expire_time":  "2020-08-05 12:00:00",
            "service_type": 2,
            "specification_id": "move_goods",
            "total_price": 100,
            "status": 1
        }
    ]
}

# Dxplaination of request parameters

nothing

# Dxplaination of callback parameters

参数 type Introductions
errcode number Error code
errmsg string Error message
service_order_list[].service_order_id number Service Order ID
service_order_list[].service_id number Service ID
service_order_list[].service_name string Service Name
service_order_list[].craete_time string Created time
service_order_list[].expire_time string expiration date
service_order_list[].service_type number Type of service
service_order_list[].specification_id string Specifications English Name
service_order_list[].total_price number Total Order Price
service_order_list[].status number Order Status

# Enumeration - service_type

枚举值 describe
2 product
3 order

# Enumeration - status

枚举值 describe
1 Entering into force
2 It has expired.
3 It has been discontinued.
4 No payments

# Return code

返回码 Error Type
-1 System exceptions
-2 Token too long